package com.bocloud.cmp.model;

import java.util.List;

/**
 * 共享盘 model
 *
 * @author Administrator
 */
public class StorageVolumeModel {
    private Long storageVolumeId;
    private String name;
    private Long volumeId; // 存储返回的ID 后续可能会用到
    private String volumeUuid;
    private String volumeName;
    private Long poolId;
    private String poolName;
    private Integer size; // 大小
    private String remark;
    private String status;
    private Long clientGroupId;
    private Long accessPathId;
    private String clients;
    private List<Long> volumesIds;
    private String hostIds;
    private String targetIds;
    private Long mappingGroupId;
    private String serverIds;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVolumeUuid() {
        return volumeUuid;
    }

    public void setVolumeUuid(String volumeUuid) {
        this.volumeUuid = volumeUuid;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getVolumeId() {
        return volumeId;
    }

    public void setVolumeId(Long volumeId) {
        this.volumeId = volumeId;
    }

    public String getVolumeName() {
        return volumeName;
    }

    public void setVolumeName(String volumeName) {
        this.volumeName = volumeName;
    }

    public Long getPoolId() {
        return poolId;
    }

    public void setPoolId(Long poolId) {
        this.poolId = poolId;
    }

    public String getPoolName() {
        return poolName;
    }

    public void setPoolName(String poolName) {
        this.poolName = poolName;
    }

    public List<Long> getVolumesIds() {
        return volumesIds;
    }

    public void setVolumesIds(List<Long> volumesIds) {
        this.volumesIds = volumesIds;
    }

    public Long getAccessPathId() {
        return accessPathId;
    }

    public void setAccessPathId(Long accessPathId) {
        this.accessPathId = accessPathId;
    }

    public Long getClientGroupId() {
        return clientGroupId;
    }

    public void setClientGroupId(Long clientGroupId) {
        this.clientGroupId = clientGroupId;
    }

    public String getHostIds() {
        return hostIds;
    }

    public void setHostIds(String hostIds) {
        this.hostIds = hostIds;
    }

    public String getTargetIds() {
        return targetIds;
    }

    public void setTargetIds(String targetIds) {
        this.targetIds = targetIds;
    }

    public Long getMappingGroupId() {
        return mappingGroupId;
    }

    public void setMappingGroupId(Long mappingGroupId) {
        this.mappingGroupId = mappingGroupId;
    }

    public String getClients() {
        return clients;
    }

    public void setClients(String clients) {
        this.clients = clients;
    }

    public Long getStorageVolumeId() {
        return storageVolumeId;
    }

    public void setStorageVolumeId(Long storageVolumeId) {
        this.storageVolumeId = storageVolumeId;
    }

    public String getServerIds() {
        return serverIds;
    }

    public void setServerIds(String serverIds) {
        this.serverIds = serverIds;
    }
}
